io.vertx.sqlclient.templates.generator

## Class RowMapperGen

- java.lang.Object
- - io.vertx.codegen.Generator<io.vertx.codegen.DataObjectModel>
  - - io.vertx.sqlclient.templates.generator.MapperGenBase
    - - io.vertx.sqlclient.templates.generator.RowMapperGen

-     public class RowMapperGen
      extends MapperGenBase

  Author:
    Julien Viet

- - ### Field Summary

    - ### Fields inherited from class io.vertx.codegen.Generator

      `env, incremental, kinds, name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RowMapperGen()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Collection<Class<? extends Annotation>>` | `annotations()`
    `protected String` | `genSimpleName(io.vertx.codegen.DataObjectModel model)`
    `protected Optional<io.vertx.codegen.type.AnnotationValueInfo>` | `getAnnotation(io.vertx.codegen.DataObjectModel model)`
    `protected void` | `renderDeclaration(io.vertx.codegen.DataObjectModel model, PrintWriter writer)`
    `protected void` | `renderMembers(String visibility, io.vertx.codegen.DataObjectModel model, PrintWriter writer)`

    - ### Methods inherited from class io.vertx.sqlclient.templates.generator.MapperGenBase

      `filename, getMappingName, render`

    - ### Methods inherited from class io.vertx.codegen.Generator

      `load`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RowMapperGen

          public RowMapperGen()

  - ### Method Detail

    - #### annotations

          public Collection<Class<? extends Annotation>> annotations()

      Overrides:
        `annotations` in class `MapperGenBase`

    - #### renderDeclaration

          protected void renderDeclaration(io.vertx.codegen.DataObjectModel model,
                                           PrintWriter writer)

      Specified by:
        `renderDeclaration` in class `MapperGenBase`

    - #### genSimpleName

          protected String genSimpleName(io.vertx.codegen.DataObjectModel model)

      Specified by:
        `genSimpleName` in class `MapperGenBase`

    - #### getAnnotation

          protected Optional<io.vertx.codegen.type.AnnotationValueInfo> getAnnotation(io.vertx.codegen.DataObjectModel model)

      Specified by:
        `getAnnotation` in class `MapperGenBase`

    - #### renderMembers

          protected void renderMembers(String visibility,
                                       io.vertx.codegen.DataObjectModel model,
                                       PrintWriter writer)

      Specified by:
        `renderMembers` in class `MapperGenBase`

Copyright © 2024 Eclipse. All rights reserved.